[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCoolBand.Create

Constructor for the class instance.

## Declaration

Source position: comctrls.pp line 2503

`public constructor TCoolBand.Create(`
`aCollection: TCollection`
`); override;`

## Arguments

`aCollection` |  | Collection which owns the items in the class instance.

## Description

Create is the overridden constructor for the class instance. Create sets the default values for properties in the collection item, including:

- Break (True)
- Color (clDefault)
- Control (set to Nil)
- FixedBackground (True)
- ImageIndex (-1)
- MinHeight (cDefMinHeight)
- MinWidth (cDefMinWidth)
- ParentBitmap (True)
- ParentColor (True)
- Visible (True)
- Width (cDefWidth)

Create calls the inherited method using aCollection as the owner of the collection item. An exception is raised if ACollection is not a TCoolBands descendant.

The internal TCoolBar reference in the class instance is set to the reference used in aCollection.

Create allocates resource needed for the Bitmap property, and sets its OnChange event handler to the InvalidateCoolBar method.